Archive for the ‘yum’ Category

if plesk is not running and you see in /tmp/autoinstaller3.log this:

Package matching php-5.3.3-3.el6_2.5.i686 already installed. Checking for update.
Running rpm_check_debug
Exception: Scriptlet or other non-fatal errors occurred during transaction.

ERROR: Failed to run the Yum utility.
The Yum utility failed to install the required packages.
Attention! Your software might be inoperable.
Please, contact product technical support.

then you have to update php by hand yum update php
then to run /usr/local/psa/admin/bin/autoinstaller --upgrade-installed-components --select-release-current wich will upgrade installed components (as auto upgrade option in plesk does automatically) and plesk interface will start again.

Can be done easy with epel yum repo. more info about epel:
for centos 5:
rpm -ivh epel-release-5-4.noarch.rpm

yum install imagemagick php-magickwand php-pecl-imagick
restart apache and done

That’s all.

Atomic Archives

* [atomic] – stable rpm channel for packages created by ART.
* [atomic-testing] – near production quality packages created by ART.
* [atomic-bleeding]- untested, non-production packages with frequently zero testing, and known unresolvable compatibility issues created by ART. You shouldn’t be here unless you are me.
* [plesk] – 3rd Party channel for SW-Soft’s Plesk Server Administrator

All ART packages are signed with GPG. This is to ensure that the packages have not been tampered with. ART packages that fail the gpg check should be reported immediately.

Install the ART GPG key:
rpm --import

Yum Atomic Archives
CentOS 3 – 5 / RHEL 3 – 5 / Fedora 4 – 10
The Atomic archives are available through the yum package manager for Fedora, RHEL and CentOS.These archives require access to both the vendors base and update channels, RHEL3 and RHEL 4 users are therefore recommended to access the atomic archives through up2date.

Automatic configuration
Using Lynx (yum -y install lynx):
lynx -source | sh

Using Wget:
wget -q -O - | sh

There are repository rpm packages for RHEL4 and RHEL5 . The repository package installs the repo details on your local
system for yum or up2date to use. Then you can install packages with your usual method, and the EPEL repository is

su -c 'rpm -Uvh'
su -c 'yum install foo'

centos repo yum